Bug 981638 - support standard lifetime policies for AMQP 1.0
support standard lifetime policies for AMQP 1.0
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
medium Severity unspecified
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
: Improvement
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-07-05 07:05 EDT by Gordon Sim
Modified: 2015-01-21 07:54 EST (History)
5 users (show)

See Also:
Fixed In Version: qpid-qmf-0.22-7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:54:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-4976 None None None Never

  None (edit)
Description Gordon Sim 2013-07-05 07:05:29 EDT
Description of problem:

The AMQP specification defines lifetime policies that can be select for dynamically created nodes: delete-on-close, delete-on-no-links, delete-on-no-messages, delete-on-no-links-or-messages.

Allowing these to be specified through the qpid::messaging API, and having qpidd recognise and implement them is desirable.
Comment 1 Gordon Sim 2013-07-10 10:03:02 EDT
Fixed upstream: https://svn.apache.org/r1501768
Comment 6 Petr Matousek 2014-02-04 08:47:48 EST
The amqp1.0 defined standard lifetime policies for dynamic nodes are implemented and works as expected.

packages under test:
qpid-cpp-*-0.22-33

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.